----------------------------------------------------------------------------------------------------
-- REGISTER birch lerch pine TREES
----------------------------------------------------------------------------------------------------
-- Purpose: To register birch lerch pine trees
-- Author:  zero_ace
-- Copyright (c) Team-Rheinlandpfalz, 2018
----------------------------------------------------------------------------------------------------

registerbirchTrees = {}

local modItem = ModsUtil.findModItemByModName(g_currentModName)
registerbirchTrees.modDir = g_currentModDirectory

function registerbirchTrees:loadMap()
    local treeFilenames = {
        registerbirchTrees.modDir .. "birch/treeSaplingBirch.i3d",
        registerbirchTrees.modDir .. "birch/tree10m.i3d",
        registerbirchTrees.modDir .. "birch/tree20m.i3d",
        registerbirchTrees.modDir .. "birch/tree25m.i3d",
        registerbirchTrees.modDir .. "birch/tree30mBirch.i3d",
        
    }

    TreePlantUtil.registerTreeType("treeBirch", "birch tree", treeFilenames, 240)
end;
registerlerchTrees = {}

local modItem = ModsUtil.findModItemByModName(g_currentModName)
registerlerchTrees.modDir = g_currentModDirectory

-- neue funktion um neue Baum.i3d zu laden
function registerlerchTrees:loadMap()
    local treeFilenames = {
        registerlerchTrees.modDir .. "lerch/treeSaplinglerch.i3d",
        registerlerchTrees.modDir .. "lerch/tree10m.i3d",
        registerlerchTrees.modDir .. "lerch/tree20m.i3d",
        registerlerchTrees.modDir .. "lerch/tree25m.i3d",
        registerlerchTrees.modDir .. "lerch/tree30mLerch.i3d",
        
    }

    TreePlantUtil.registerTreeType("treeLerch", "lerch tree", treeFilenames, 240)
end;

registerpineTrees = {}

local modItem = ModsUtil.findModItemByModName(g_currentModName)
registerpineTrees.modDir = g_currentModDirectory

-- neue funktion um neue Baum.i3d zu laden
function registerpineTrees:loadMap()
    local treeFilenames = {
        registerpineTrees.modDir .. "pine/treeSaplingpine.i3d",
        registerpineTrees.modDir .. "pine/pine10m.i3d",
        registerpineTrees.modDir .. "pine/pine20m.i3d",
        registerpineTrees.modDir .. "pine/pine25m.i3d",
        registerpineTrees.modDir .. "pine/pine30m.i3d",
        
    }

    TreePlantUtil.registerTreeType("treePine", "pine tree", treeFilenames, 240)
end;

registereicheTrees = {}

local modItem = ModsUtil.findModItemByModName(g_currentModName)
registereicheTrees.modDir = g_currentModDirectory

-- neue funktion um neue Baum.i3d zu laden
function registereicheTrees:loadMap()
    local treeFilenames = {
        registereicheTrees.modDir .. "eiche/treeSaplingEiche.i3d",
        registereicheTrees.modDir .. "eiche/tree10m.i3d",
        registereicheTrees.modDir .. "eiche/tree20m.i3d",
        registereicheTrees.modDir .. "eiche/tree25m.i3d",
        registereicheTrees.modDir .. "eiche/tree30m.i3d",
        
    }

    TreePlantUtil.registerTreeType("treeEiche", "eiche tree", treeFilenames, 240)
end;

function registerbirchTrees:load()
end;
function registerlerchTrees:load()
end;
function registerpineTrees:load()
end;
function registereicheTrees:load()
end;

function registerbirchTrees:deleteMap()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:deleteMap()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerpineTrees:deleteMap()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registereicheTrees:deleteMap()
end;

function registerbirchTrees:keyEvent(unicode, sym, modifier, isDown)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:keyEvent(unicode, sym, modifier, isDown)
end;

--neuer Baumname also ersetzen von _BaumNameNeu_
function registerpineTrees:keyEvent(unicode, sym, modifier, isDown)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registereicheTrees:keyEvent(unicode, sym, modifier, isDown)
end;

--neuer Baumname also ersetzen von _BaumNameNeu_
function registerpineTrees:mouseEvent(posX, posY, isDown, isUp, button)
end;

function registerbirchTrees:mouseEvent(posX, posY, isDown, isUp, button)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:mouseEvent(posX, posY, isDown, isUp, button)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registereicheTrees:mouseEvent(posX, posY, isDown, isUp, button)
end;

--neuer Baumname also ersetzen von _BaumNameNeu_
function registerpineTrees:update(dt)
end;

function registerbirchTrees:update(dt)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:update(dt)
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registereicheTrees:update(dt)
end;

function registerbirchTrees:draw()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerpineTrees:draw()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registerlerchTrees:draw()
end;
--neuer Baumname also ersetzen von _BaumNameNeu_
function registereicheTrees:draw()
end;

addModEventListener(registerbirchTrees)
addModEventListener(registerlerchTrees)
addModEventListener(registerpineTrees)
addModEventListener(registereicheTrees)
